Bug 1804893 - + perl -p -i -e 's/^CONFIG_BUILD_SALT.*/CONFIG_BUILD_SALT="5.4.20-200.fc31.x86_64"/' .config + make -s 'HOSTCFLAGS=-O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-
Summary: + perl -p -i -e 's/^CONFIG_BUILD_SALT.*/CONFIG_BUILD_SALT="5.4.20-200.fc31.x8...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 31
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-19 20:04 UTC by Jasper O'neal Hartline
Modified: 2020-11-24 17:08 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-24 17:08:13 UTC
Type: Bug


Attachments (Terms of Use)
dmesg.txt (97.02 KB, text/plain)
2020-02-19 20:04 UTC, Jasper O'neal Hartline
no flags Details

Description Jasper O'neal Hartline 2020-02-19 20:04:28 UTC
Created attachment 1664165 [details]
dmesg.txt

1. Please describe the problem:
+ perl -p -i -e 's/^CONFIG_BUILD_SALT.*/CONFIG_BUILD_SALT="5.4.20-200.fc31.x86_64"/' .config
+ make -s 'HOSTCFLAGS=-O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection' 'HOSTLDFLAGS=-Wl,-z,relro -Wl,--as-needed  -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld' ARCH=x86_64 KCFLAGS= 'WITH_GCOV=  0' -j2 bzImage
arch/x86/kernel/cpu/mce/core.o: warning: objtool: mce_panic()+0x11b: unreachable instruction
kernel/exit.o: warning: objtool: __x64_sys_exit_group()+0x14: unreachable instruction
kernel/cred.o: warning: objtool: get_task_cred.cold()+0x14: unreachable instruction
net/core/skbuff.o: warning: objtool: skb_push.cold()+0x15: unreachable instruction
arch/x86/tools/insn_decoder_test: success: Decoded and checked 5694100 instructions
arch/x86/tools/insn_sanity: Success: decoded and checked 1000000 random instructions with 0 errors (seed:0x9eaae5f0)
+ '[' 1 -eq 1 ']'

2. What is the Version-Release number of the kernel:
5.4.20-200 src rpm

3. Did it work previously in Fedora? If so, what kernel version did the issue
   *first* appear?  Old kernels are available for download at
   https://koji.fedoraproject.org/koji/packageinfo?packageID=8 :


4. Can you reproduce this issue? If so, please provide the steps to reproduce
   the issue below:


5. Does this problem occur with the latest Rawhide kernel? To install the
   Rawhide kernel, run ``sudo dnf install fedora-repos-rawhide`` followed by
   ````:

 Package                                                    Architecture                                       Version                                                              Repository                                           Size
==============================================================================================================================================================================================================================================
Installing dependencies:
 kernel                                                     x86_64                                             5.6.0-0.rc2.git1.1.fc33                                              rawhide                                              17 k
 kernel-core                                                x86_64                                             5.6.0-0.rc2.git1.1.fc33                                              rawhide                                              34 M
 kernel-modules                                             x86_64                                             5.6.0-0.rc2.git1.1.fc33                                              rawhide                                              30 M

Transaction Summary
==============================================================================================================================================================================================================================================
Install  3 Packages

Total download size: 63 M
Installed size: 104 M
Is this ok [y/N]: y
Downloading Packages:
(1/3): kernel-5.6.0-0.rc2.git1.1.fc33.x86_64.rpm                                                                                                                                                               20 kB/s |  17 kB     00:00    
(2/3): kernel-modules-5.6.0-0.rc2.git1.1.fc33.x86_64.rpm                                                                                                                                                      2.4 MB/s |  30 MB     00:12    
(3/3): kernel-core-5.6.0-0.rc2.git1.1.fc33.x86_64.rpm                                                                                                                                                         1.5 MB/s |  34 MB     00:23    
----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                                                                                         2.6 MB/s |  63 MB     00:24     
warning: /var/cache/dnf/rawhide-2d95c80a1fa0a67d/packages/kernel-5.6.0-0.rc2.git1.1.fc33.x86_64.rpm: Header V3 RSA/SHA256 Signature, key ID 9570ff31: NOKEY
Fedora - Rawhide - Developmental packages for the next Fedora release                                                                                                                                         1.5 MB/s | 1.6 kB     00:00    
GPG key at file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-31-x86_64 (0x3C3359C4) is already installed
The GPG keys listed for the "Fedora - Rawhide - Developmental packages for the next Fedora release" repository are already installed but they are not correct for this package.
Check that the correct key URLs are configured for this repository.. Failing package is: kernel-5.6.0-0.rc2.git1.1.fc33.x86_64
 GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-31-x86_64
Public key for kernel-core-5.6.0-0.rc2.git1.1.fc33.x86_64.rpm is not installed. Failing package is: kernel-core-5.6.0-0.rc2.git1.1.fc33.x86_64
 GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-31-x86_64
Public key for kernel-modules-5.6.0-0.rc2.git1.1.fc33.x86_64.rpm is not installed. Failing package is: kernel-modules-5.6.0-0.rc2.git1.1.fc33.x86_64
 GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-31-x86_64
The downloaded packages were saved in cache until the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.
Error: GPG check FAILED
[root@localhost ~]# 


6. Are you running any modules that not shipped with directly Fedora's kernel?:
none free the cat man du

7. Please attach the kernel logs. You can get the complete kernel log
   for a boot with ``journalctl --no-hostname -k > dmesg.txt``. If the
   issue occurred on a previous boot, use the journalctl ``-b`` flag.

Comment 1 Justin M. Forbes 2020-03-03 16:27:40 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 31 kernel bugs.

Fedora 31 has now been rebased to 5.5.7-200.fc31.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 32, and are still experiencing this issue, please change the version to Fedora 32.

If you experience different issues, please open a new bug report for those.

Comment 2 Jasper O'neal Hartline 2020-03-13 23:41:52 UTC
That was perf for 4.4 now this is 5.5 perf


Installed:
  annobin-8.78-2.fc31.x86_64  cpp-9.2.1-1.fc31.x86_64  gcc-9.2.1-1.fc31.x86_64
  gcc-c++-9.2.1-1.fc31.x86_64 isl-0.16.1-9.fc31.x86_64

Complete!
[root@localhost build]# make
  HOSTCC   fixdep.o
  HOSTLD   fixdep-in.o
  LINK     fixdep
[root@localhost build]# ls
Build          feature   fixdep-in.o  Makefile.build    tests
Build.include  fixdep    fixdep.o     Makefile.feature
Documentation  fixdep.c  Makefile     Makefile.include
[root@localhost build]# ./fixdep
Usage: fixdep <depfile> <target> <cmdline>
[root@localhost build]# cd tests
[root@localhost tests]# ls
ex  ex.out  run.sh
[root@localhost tests]# ./run.sh
Testing..OK
[root@localhost tests]#



Works good with kernel.org src kernel 5.5.8
Good for now.
Perf didn't fail of course Perf doesn't fail I do but thats not here nor welll yes it is there.

Comment 3 Ben Cotton 2020-11-03 16:56:51 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2020-11-24 17:08:13 UTC
Fedora 31 changed to end-of-life (EOL) status on 2020-11-24. Fedora 31 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.